(function ($) {
$(document).ready(function () {
    
//country selected
let selected = $('#country-redefinition').parent().attr('data-select');
$('#country-redefinition').find('option').each(function(){
    if ( $(this).attr('value') == selected ) { $(this).prop('selected', true) ; }
});


//status create new order
$('#activation-created-order').on('change', function(){ 
    statusOrderCreate();
});

function statusOrderCreate(){
    let val = $('#activation-created-order').find('option:selected').attr('data-val');
    if ( val =='yes' ){ 
        $('.section-satus-order-q').find('span').html( $('.section-satus-order-q ').attr('data-yes') ).removeClass('status-not-q').addClass('status-yes-q');
        $('.section-redefinition-q').removeClass('status-not-block');
    }
    else { 
        $('.section-satus-order-q').find('span').html( $('.section-satus-order-q ').attr('data-not') ).removeClass('status-yes-q').addClass('status-not-q');
        $('.section-redefinition-q').addClass('status-not-block');
    }
}
statusOrderCreate();

//setting
$('.wrap-setting-two-col-q').on('change', function(){ 
    settingDemonstrate();
});

function settingDemonstrate(){
    let dataShowImg = $('#show-product-image').prop('checked');
    if ( dataShowImg === true ){ $('.type-img-product').css('display' ,'flex'); }
    else { $('.type-img-product').css('display' ,'none'); }
    
    let dataShowPrice = $('#show-product-price').prop('checked');
    if ( dataShowPrice === true ){ $('.wrap-price-qf-woo').css('display' ,'flex'); }
    else { $('.wrap-price-qf-woo').css('display' ,'none'); }
    
    let dataShowQuanity = $('#show-product-quanity').prop('checked');
    if ( dataShowQuanity === true ){ $('.number-product-in-q').css('display' ,'flex'); }
    else { $('.number-product-in-q').css('display' ,'none'); }
    
    let dataShowName = $('#show-product-name').prop('checked');
    if ( dataShowName === true ){  $('.type-name-product').css('display' ,'flex'); }
    else { $('.type-name-product').css('display' ,'none'); }
}
settingDemonstrate();

$('.wrap-setting-two-col-q, .section-5-q').on('keyup', '.style-input-q' , function(){
    let val = $(this).val();
    settingDesign( val, $(this) );
});

function settingDesign(val,input){
    //heading text
    if ( input.attr('id') == 'text-above-price-q' ){ $('.wrap-price-qf-woo').find('.heading-qf-woo').html( val ); }
    if ( input.attr('id') == 'text-above-quantity-q' ){ $('.number-product-in-q').find('.heading-qf-woo').html( val ); }
    //design
    if ( input.attr('id') == 'text-font-name-q' ){ $('.type-name-product').css('font-size', val); }
    
    if ( input.attr('id') == 'text-font-heading-q' ){
        $('.heading-qf-woo').css({'font-size' :  val, 'line-height':  val });
    }
    if ( input.attr('id') == 'text-font-input-q' ){
        $('.product-prise-q span').css('font-size',  val );
        $('.number-product-in-q input').css('font-size',  val );
    }
}
$('.section-5-q input').each(function(){
    let val = $(this).val();
    settingDesign( val, $(this) );
});




//confirmation remove
$('.save-setting-woo').on('click', function(){ 
    
    let dataForm = $('#list-form-q').val();
    let dataTextButton = $('#text-button-q').val().replace(/'/g, "ZapETayA");
    let dataIdForm = $('#list-form-q').find('option:selected').attr('data-id');
    let dataPosition = $('#list-position').find('option:selected').attr('data-val');
    let dataPosition2 = $('#list-position-archive').find('option:selected').attr('data-val');
    let dataCreateOrder = $('#activation-created-order').find('option:selected').attr('data-val');
    let dataTextPrice = $('#text-above-price-q').val().replace(/'/g, "ZapETayA");
    let dataTextQuantity = $('#text-above-quantity-q').val().replace(/'/g, "ZapETayA");
    let dataShowStockZero = $('#list-show-stock-zero').find('option:selected').attr('data-val');
    let dataPositionCurrency = $('#position-currency-q').find('option:selected').attr('data-val');
    
    
    
    
    //redefinition
    let dataFirstName = $('#first-name-redefinition').find('option:selected').attr('data-id');
    let dataLasttName = $('#last-name-redefinition').find('option:selected').attr('data-id');
    let dataEmail = $('#email-redefinition').find('option:selected').attr('data-id');
    let dataPhone = $('#phone-redefinition').find('option:selected').attr('data-id');
    let dataCompany = $('#company-redefinition').find('option:selected').attr('data-id');
    let dataAddress = $('#address-redefinition').find('option:selected').attr('data-id');
    let dataCity = $('#city-redefinition').find('option:selected').attr('data-id');
    let dataState = $('#state-redefinition').find('option:selected').attr('data-id');
    let dataPostcode = $('#postcode-redefinition').find('option:selected').attr('data-id');
    let dataCountry = $('#country-redefinition').find('option:selected').attr('value');
    let dataComment = $('#comment-redefinition').find('option:selected').attr('data-id');
    let dataQuanity = $('#quanity-redefinition').find('option:selected').attr('data-id');
    //design
    let dataFontName = $('#text-font-name-q').val();
    let dataColorName = $('#text-color-name-q').val();
    let dataFontHeading = $('#text-font-heading-q').val();
    let dataColorHeading = $('#text-color-price-quantity-heading-q').val();
    let dataFontInput = $('#text-font-input-q').val();
    let dataColorSections = $('#text-color-price-quantity-q').val();
    let dataBackgroundSections = $('#text-background-price-quantity-q').val();
    let dataBorderSections = $('#text-border-color-price-quantity-q').val();
    let dataButtonAlign =  $('.swap-align-buttons').attr('data-val');
    let dataButtonMagrinCategory = $('.margin-category').attr('data-val');
    let dataButtonMagrinCart = $('.margin-cart').attr('data-val');
    

    //setting 
    let dataShowImg = $('#show-product-image').prop('checked');
    if ( dataShowImg === true ){dataShowImg = 'yes';}
    else { dataShowImg = 'not'; }
    
    let dataShowPrice = $('#show-product-price').prop('checked');
    if ( dataShowPrice === true ){dataShowPrice = 'yes';}
    else { dataShowPrice = 'not'; }
    
    let dataShowQuanity = $('#show-product-quanity').prop('checked');
    if ( dataShowQuanity === true ){dataShowQuanity = 'yes';}
    else { dataShowQuanity = 'not'; }
    
    let dataShowName = $('#show-product-name').prop('checked');
    if ( dataShowName === true ){dataShowName = 'yes';}
    else { dataShowName = 'not'; }

    
   
    

    //ajax remove form
    $.ajax({
        type: "POST",
        url: params.ajaxurl,
        data: {
            action: 'save_woo_setting',
            nonce_code : params.nonce,
            dataForm: dataForm,
            dataTextButton: dataTextButton,
            dataPosition: dataPosition,
            dataPosition2: dataPosition2,
            dataIdForm: dataIdForm,
            dataCreateOrder: dataCreateOrder,
            dataTextPrice: dataTextPrice,
            dataTextQuantity: dataTextQuantity,
            dataShowStockZero: dataShowStockZero,
            dataPositionCurrency: dataPositionCurrency,
            
            dataFirstName: dataFirstName,
            dataLasttName: dataLasttName,
            dataEmail: dataEmail,
            dataPhone: dataPhone,
            dataCompany: dataCompany,
            dataAddress: dataAddress,
            dataCity: dataCity,
            dataState: dataState,
            dataPostcode: dataPostcode,
            dataCountry: dataCountry,
            dataComment: dataComment,
            dataQuanity: dataQuanity,
            
            dataShowImg: dataShowImg,
            dataShowPrice: dataShowPrice,
            dataShowQuanity: dataShowQuanity,
            dataShowName: dataShowName,
            
            dataFontName: dataFontName,
            dataColorName: dataColorName,
            dataFontHeading: dataFontHeading,
            dataColorHeading: dataColorHeading,
            dataFontInput: dataFontInput,
            dataColorSections: dataColorSections,
            dataBackgroundSections: dataBackgroundSections,
            dataBorderSections: dataBorderSections,
            dataButtonAlign: dataButtonAlign,
            dataButtonMagrinCategory : dataButtonMagrinCategory,
            dataButtonMagrinCart : dataButtonMagrinCart
    
        },
        success: function( response ) {
            
            $('.saved-lib-q').css({'opacity' : '1', 'z-index' : '1'});
            setTimeout(function(){
                $(".saved-lib-q").css({'opacity' : '0', 'z-index' : '-1'});
            },2000);
            
        },
        error: function (error) {
            
            $('.error-saved-lib-q').css({'opacity' : '1', 'z-index' : '1'});
            setTimeout(function(){
                $(".error-saved-lib-q").css({'opacity' : '0', 'z-index' : '-1'});
            },2000);
            
        }
    });


});

//color editor
var colorOptions = {
    change: function(event, ui){
        //color name product
        if( $(this).attr('id') == 'text-color-name-q' ) {
            $('.type-name-product').css('color', ui.color.toString() );
        }
        //color heading
        if( $(this).attr('id') == 'text-color-price-quantity-heading-q' ) {
            $('.heading-qf-woo').css('color', ui.color.toString() );
        }
        //color sections
        if( $(this).attr('id') == 'text-color-price-quantity-q' ) {
            $('.product-prise-q span').css('color', ui.color.toString() );
            $('.number-product-in-q input').css('color', ui.color.toString() );
        }
        //background color sections
        if( $(this).attr('id') == 'text-background-price-quantity-q' ) {
            $('.product-prise-q').css('background-color', ui.color.toString() );
            $('.number-product-in-q input').css('background-color', ui.color.toString() );
        }
        //border color sections
        if( $(this).attr('id') == 'text-border-color-price-quantity-q' ) {
            $('.product-prise-q').css('border-color', ui.color.toString() );
            $('.number-product-in-q input').css('border-color', ui.color.toString() );
        }
        
    }
};

//inout color
$('#text-color-name-q, #text-color-price-quantity-heading-q, #text-color-price-quantity-q, #text-background-price-quantity-q, #text-border-color-price-quantity-q').wpColorPicker(colorOptions);



//validation text
$(document).on('keyup', '#text-button-q, #text-above-price-q, #text-above-quantity-q, #text-font-name-q, #text-font-input-q' , function(){
    //forbidden symbols
    if ( $(this).val().match(/[\/\\\"<>]/g) ){ 
        let edit = $(this).val().replace(/[\/\\\"<>]/g,'');
        $(this).val( edit );
    }
});



//switch form
$('#list-form-q').on('change', function(){
    let valId = $(this).find('option:selected').attr('data-id');
    let contentArray = $('.none-coontent-form[data-id="'+valId+'"]').html();
    let createdElement = '';
    let text = '';
    if (typeof contentArray !="undefined"){
        contentArray = contentArray.split('/');
        $('.section-redefinition-q').find('select').each(function(){
            let thisSelect = $(this);
            text = '';
            if ( $(this).attr('id') !='country-redefinition' ) { 
                thisSelect.find('option[data-id!="0"]').remove();
            }
                
            if ( thisSelect.attr('id') =='quanity-redefinition' ){
                $.each(contentArray,function(index,value){
                    value = value.split(';');
                    if (value[0]=='quantity' ) {
                        if ( value[3] !='' ){ text = text + value[3]; }
                        //else { $text.= esc_html__('Quantity','quasar-form-woo'); }
                        text = value[5]+' - '+text;
                        createdElement = '<option selected data-id="'+value['5']+'">'+text+'</option>';
                        thisSelect.append(createdElement);
                    }
                });
            }
                
           
            if ( thisSelect.attr('id') =='first-name-redefinition' || thisSelect.attr('id') =='last-name-redefinition' || thisSelect.attr('id') =='address-redefinition' || thisSelect.attr('id') =='city-redefinition' || thisSelect.attr('id') =='state-redefinition' || thisSelect.attr('id') =='company-redefinition' || thisSelect.attr('id') =='postcode-redefinition' ){
                $.each(contentArray,function(index,value){
                    value = value.split(';');
                    if ( value[0]=='input' ) {
                        if ( value[4] !='' ){ text = text + value[4]; }
                        else { text = text + value[1]; }
                        text = value[6]+' - '+text;
                        createdElement = '<option data-id="'+value['6']+'">'+text+'</option>';
                        thisSelect.append(createdElement);
                    }
                });
            }
            
            if ( thisSelect.attr('id') =='email-redefinition' ){
                $.each(contentArray,function(index,value){
                    value = value.split(';');
                    text = '';
                    if ( value[0]=='input' || value[0]=='type-email-element') {
                        if ( value[4] !='' ){ text = text + value[4]; }
                        else { text = text + value[1]; }
                        text = value[6]+' - '+text;
                        createdElement = '<option data-id="'+value['6']+'">'+text+'</option>';
                        thisSelect.append(createdElement);
                    }
                });
            }
            
            if ( thisSelect.attr('id') =='phone-redefinition' ){
                $.each(contentArray,function(index,value){
                    value = value.split(';');
                    text = '';
                    if ( value[0]=='input' || value[0]=='type-phone-element' ) {
                        if ( value[4] !='' ){ text = text + value[4]; }
                        else { text = text + value[1]; }
                        text = value[6]+' - '+text;
                        createdElement = '<option data-id="'+value['6']+'">'+text+'</option>';
                        thisSelect.append(createdElement);
                    }
                });
            }
            
            if ( thisSelect.attr('id') =='comment-redefinition' ){
                $.each(contentArray,function(index,value){
                    value = value.split(';');
                    if ( value[0]=='type-textarea-element' ) {
                        if ( value[4] !='' ){ text = text + value[4]; }
                        else { text = text + value[1]; }
                        text = value[7]+' - '+text;
                        createdElement = '<option data-id="'+value['7']+'">'+text+'</option>';
                        thisSelect.append(createdElement);
                    }
                });
            }
            
        });
    }

});


function positionCurrency(){
    let val = $('#position-currency-q').find('option:selected').attr('data-val');
    if (val == 'left'){ $('.currency-q').css('order', '1'); }
    else { $('.currency-q').css('order', '3'); }
}
positionCurrency();

$('#position-currency-q').on('change', function(){
    positionCurrency();
    
});


//disable defoult quantity
function disableDefoultQuntity(){
    let val = $('#quanity-redefinition').find('option:selected').attr('data-id');
    let block = $('#show-product-quanity').parent();
    let block2 = $('#text-above-quantity-q').closest('.input-section-q');
    
    if ( val !='0' ){
        block.addClass('status-not-block').find('.disable-quantity-d').css('display', 'inline');
        block2.addClass('status-not-block').find('.disable-quantity-d').css('display', 'inline');
        if ( $('#show-product-quanity').prop('checked') ) { 
            $('#show-product-quanity').prop('checked', false); 
            $('.number-product-in-q').css('display', 'none');
        }
    }
    else {
        block.removeClass('status-not-block').find('.disable-quantity-d').css('display', 'none');
        block2.removeClass('status-not-block').find('.disable-quantity-d').css('display', 'none');
    }
}
disableDefoultQuntity();

$('#quanity-redefinition, #show-product-quanity').on('change', function(){
    disableDefoultQuntity();
});

//align button
let valAlign = $('.swap-align-buttons').attr('data-val');
if ( valAlign == 'left' ) { 
    $('#left-button').addClass('element-align-active-q');
}
if ( valAlign == 'right' ) { 
    $('#right-button').addClass('element-align-active-q');
}
if ( valAlign == 'center' ) { 
    $('#center-button').addClass('element-align-active-q');
}

$('#left-button, #right-button, #center-button').on('click', function(){ 
    $('#left-button, #right-button, #center-button').removeClass('element-align-active-q');
    $(this).addClass('element-align-active-q');
    if ( $(this).attr('id') == 'left-button'){ $('.swap-align-buttons').attr('data-val', 'left'); }
    if ( $(this).attr('id') == 'right-button'){ $('.swap-align-buttons').attr('data-val', 'right'); }
    if ( $(this).attr('id') == 'center-button'){ $('.swap-align-buttons').attr('data-val', 'center'); }
});


//margin category
let marginCategory = $('.margin-category').attr('data-val').split(';');
$('#admpaddingleft').val(marginCategory[0]) ;
$('#admpaddingright').val(marginCategory[1]) ;
$('#admpaddingtop').val(marginCategory[2]) ;
$('#admpaddingbottom').val(marginCategory[3]) ;
$('.margin-category').on('keyup', 'input', function(){ 
    let val = $('#admpaddingleft').val() + ';' + $('#admpaddingright').val() + ';' + $('#admpaddingtop').val() + ';' + $('#admpaddingbottom').val() ;
    $('.margin-category').attr('data-val', val);
});   

//margin cart
let marginCart = $('.margin-cart').attr('data-val').split(';');
$('#admpaddingleft-k').val(marginCart[0]) ;
$('#admpaddingright-k').val(marginCart[1]) ;
$('#admpaddingtop-k').val(marginCart[2]) ;
$('#admpaddingbottom-k').val(marginCart[3]) ;
$('.margin-cart').on('keyup', 'input', function(){ 
    let val = $('#admpaddingleft-k').val() + ';' + $('#admpaddingright-k').val() + ';' + $('#admpaddingtop-k').val() + ';' + $('#admpaddingbottom-k').val() ;
    $('.margin-cart').attr('data-val', val);
});   


    
});
})(jQuery);